// creator  : weidu.exe (version 23100)
// argument : _HUSAM2.DLG
// game		 : .
// source	 : ./override/_HUSAM2.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_HUSAM2~

IF ~GlobalLT("HusamMove","GLOBAL",5)
GlobalGT("HusamMove","GLOBAL",0)
~ THEN BEGIN 0 // from:
  SAY #84909 /* ~Hey... Remember me, your old bud Husam.  -hic- Iz so good to see ya all again.  Lots has happenedz since ya were gone.  Heh heh, ya I've beens hearing all sortsa things.  I heards you guys are wanted for murders.  Hah, so yers murderers eh.  Well, I still like ya.  Hey, I have somore info for yas.  Do ya want ta here it?~ */
  IF ~~ THEN REPLY #82345 /* ~We'd rather not get information from a drunken lunatic.~ */ GOTO 1
  IF ~~ THEN REPLY #82346 /* ~What do you have for us?~ */ GOTO 2
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #82347 /* ~What!?!  I'ms not drunk, ya got me confused wit somebody else.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #84910 /* ~Well, heh heh, quites a bit I have, quites a bit.  Does ya know about Duke Eltan, he's diseased heez is.  His seconds in command -hic- Scar got killed, assassassinated heez was.     -Buuuuuurp- Sose that's it.  I gots to get going now, if you wants to talk with me some more just come by the Blushing Mermaid.  See yas.~ */
  IF ~~ THEN DO ~SetGlobal("HusamMove","GLOBAL",5)
EscapeArea()
~ EXIT
END

IF ~Global("HusamMove","GLOBAL",55)
~ THEN BEGIN 3 // from:
  SAY #82349 /* ~-Uuurp-  Hey again.  Iz me, Husam.  I gotta talk to yas.  Jez follow me.~ */
  IF ~~ THEN REPLY #82350 /* ~Sorry Husam, we don't have time for your wacky antics right now.~ */ GOTO 4
  IF ~~ THEN REPLY #82351 /* ~Okay, show us where you want us to go.~ */ DO ~CreateCreature("_SHADOW",[313.1889],0)
CreateCreature("_SHADOW",[368.1887],0)
CreateCreature("_SHADOW",[426.1902],0)
CreateCreature("_SHADOW",[489.1908],0)
CreateCreature("_SHADOW",[550.1905],0)
CreateCreature("_SHADOW",[528.1962],0)
SetGlobal("HusamMove","GLOBAL",99)
Wait(4)
Dialog([PC])
~ EXIT
END

IF ~~ THEN BEGIN 4 // from: 3.0
  SAY #82352 /* ~Fine thens, I'll find some other frens.~ */
  IF ~~ THEN EXIT
END

IF ~Global("HusamMove","GLOBAL",99)
~ THEN BEGIN 5 // from:
  SAY #82354 /* ~Sorry for misleading you, but there are times when subtlety works better than honesty.  My associates and I don't want a fight, so we could ease the tension if all of us sheathed our weapons.~ */
  IF ~~ THEN REPLY #82355 /* ~We don't trust you one bit, prepare to defend yourselves.~ */ DO ~SetGlobal("HusamMove","GLOBAL",100)
Enemy()
~ EXIT
  IF ~~ THEN REPLY #82356 /* ~Okay, we don't want a fight either, we'll give you a chance to explain yourself.  The truth this time.~ */ GOTO 6
END

IF ~~ THEN BEGIN 6 // from: 5.1
  SAY #82357 /* ~Okay then.  First off, my name really is Husam.  I have never owned a business in Baldur's Gate.  My associates and I belong to an organization called the Shadow Thieves; I'm sure you've heard of us.  I'm here in the Gate because of the lies being spread about our organization and the nation of Amn as a whole.  I'm sure you're aware how you were framed as Amnish assassins while in Candlekeep, or how the deaths of Duke Entar Silvershield and commander Scar were blamed on the Shadow Thieves.  Well... we had nothing to do with it.  It seems that someone is going to a lot of trouble to create a feeling of animosity between Baldur's Gate and Amn.  Amn has never been interested in a war with this city and has definitely not been responsible for all of the troubles in this region.  All of that can be placed squarely upon the shoulders of the Iron Throne, or more specifically Sarevok.  Now that I've told you who I am, perhaps you can tell me who you are.~ */
  IF ~~ THEN REPLY #82358 /* ~We're just mercenaries.  We've been hired by Duke Eltan to investigate the Iron Throne.~ */ GOTO 7
  IF ~~ THEN REPLY #82360 /* ~We're currently operating with Zhentarim backing.  They've had their identities misused as well.~ */ GOTO 8
  IF ~~ THEN REPLY #82361 /* ~We're working with Harper assistance.~ */ GOTO 9
  IF ~~ THEN REPLY #82362 /* ~You don't need to know who we are.~ */ GOTO 10
END

IF ~~ THEN BEGIN 7 // from: 6.0
  SAY #84915 /* ~Mercenaries, huh?  Well your employer isn't in the best of shape right now, so perhaps you need some help.~ */
  IF ~~ THEN REPLY #82364 /* ~Sorry, we work alone.~ */ DO ~SetGlobal("HusamMove","GLOBAL",10)
EscapeArea()
~ EXIT
  IF ~~ THEN REPLY #82365 /* ~How did you plan on helping us?~ */ GOTO 11
END

IF ~~ THEN BEGIN 8 // from: 6.1
  SAY #84916 /* ~The Zhentarim: an organization after my own heart.  Well, we seem to have the same problem, so perhaps working together wouldn't be a bad thing.~ */
  IF ~~ THEN REPLY #82364 /* ~Sorry, we work alone.~ */ DO ~SetGlobal("HusamMove","GLOBAL",10)
EscapeArea()
~ EXIT
  IF ~~ THEN REPLY #82365 /* ~How did you plan on helping us?~ */ GOTO 11
END

IF ~~ THEN BEGIN 9 // from: 6.2
  SAY #82367 /* ~Harpers.  They seem to meddle in everyone's affairs.~ */
  IF ~~ THEN REPLY #84917 /* ~Well, in that case, we wouldn't want to meddle in any of your affairs.  Goodbye.~ */ DO ~SetGlobal("HusamMove","GLOBAL",10)
EscapeArea()
~ EXIT
  IF ~~ THEN REPLY #82365 /* ~How did you plan on helping us?~ */ GOTO 11
END

IF ~~ THEN BEGIN 10 // from: 6.3
  SAY #82368 /* ~Fair enough, but I do know that you're an enemy of the Iron Throne, and an enemy of an enemy is a friend.~ */
  IF ~~ THEN REPLY #82364 /* ~Sorry, we work alone.~ */ DO ~SetGlobal("HusamMove","GLOBAL",10)
EscapeArea()
~ EXIT
  IF ~~ THEN REPLY #82365 /* ~How did you plan on helping us?~ */ GOTO 11
END

IF ~~ THEN BEGIN 11 // from: 10.1 9.1 8.1 7.1
  SAY #82369 /* ~I've been tracking the movements of two Night Masks who've been operating in the city over the past few weeks.  I'd say they were responsible for framing the past several murders on the Shadow Thieves.  I know they've been staying at a place called the Undercellars.  How 'bout we pay them a visit.~ */
  IF ~~ THEN REPLY #84918 /* ~No thanks, we have other things to do than track down assassins (but we're not sure what).~ */ DO ~SetGlobal("HusamMove","GLOBAL",10)
EscapeArea()
~ EXIT
  IF ~~ THEN REPLY #82371 /* ~Show us the way.~ */ GOTO 12
END

IF ~~ THEN BEGIN 12 // from: 11.1
  SAY #84919 /* ~Just follow us to the Ilmater shrine, it has one of the entrances to the Undercellars.~ */
  IF ~~ THEN DO ~SetGlobal("HusamMove","GLOBAL",6)
DialogueInterrupt(FALSE)
MoveToPoint([1173.1352])
DialogueInterrupt(TRUE)
Wait(10)
~ EXIT
END

IF ~Global("HusamMove","GLOBAL",6)
Global("KillAssasins","GLOBAL",0)
~ THEN BEGIN 13 // from:
  SAY #84920 /* ~Here we are.  The entrance is just in the back.  We'll stay up here and run interference.  The two you're looking for are named Slythe and Krystin.  Talk to the priest of Ilmater in the temple, he'll get you into the Undercellars.  Meet us up here when you've dealt with the assassins.~ */
  IF ~~ THEN DO ~SetGlobal("KillAssasins","GLOBAL",1)
~ UNSOLVED_JOURNAL #84921 /* ~Slythe and Krystin

Husam wants us to kill two assassins named Slythe and Krystin.  They are in the employ of Sarevok, and we might find valuable information in their possession.  The two killers are staying at an underground brothel known as the Undercellars.~ */ EXIT
END

IF ~Global("HusamMove","GLOBAL",6)
Global("KillAssasins","GLOBAL",1)
~ THEN BEGIN 14 // from:
  SAY #82374 /* ~How did you fare?~ */
  IF ~Dead("slythe")
Dead("krystin")
~ THEN REPLY #82375 /* ~We killed both of them.~ */ DO ~SetGlobal("KillAssasins","GLOBAL",2)
~ GOTO 16
  IF ~~ THEN REPLY #82376 /* ~We didn't find anybody.~ */ GOTO 15
END

IF ~~ THEN BEGIN 15 // from: 14.1
  SAY #82377 /* ~They should be down there; I had guards on all of the entrances.  Go back and try again.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 16 // from: 14.0
  SAY #82378 /* ~Good, did you find anything on their bodies?~ */
  IF ~~ THEN REPLY #82379 /* ~No, we didn't.~ */ DO ~SetGlobal("KillAssasins","GLOBAL",1)
~ GOTO 20
  IF ~PartyHasItem("_SCRL2K")
~ THEN REPLY #84922 /* ~We found several documents spelling out their next assassination.  They were to join with a group of doppelgangers to kill the two remaining Grand Dukes during the election.  We also found an invitation to Sarevok's coronation on their bodies.~ */ GOTO 17
END

IF ~~ THEN BEGIN 17 // from: 16.1
  SAY #84923 /* ~That's happening tonight!  If they succeed, Sarevok will have seized control of the entire city.  We should move immediately; we have to get to the Dukes before it's too late.  We must gain entrance to the palace.  You can use the invitation you found.  The rest of us will see if we can gain access though the sewers of the city.  I don't know how successful we'll be, so it's really up to you <CHARNAME>.~ */
  IF ~~ THEN DO ~EraseJournalEntry(74450)
EraseJournalEntry(84921)
SetGlobal("HusamMove","GLOBAL",7)
EscapeArea()
~ SOLVED_JOURNAL #88982 /* ~Slythe and Krystin

After having dispatched the two assassins, I returned to Husam and told him what we had learned of Slythe and Krystin's plans.  Alarmed, he urged us to gain entrance to the palace as soon as possible in order to stop Sarevok from assassinating the Grand Dukes and seizing control of the city.~ */ EXIT
END

IF ~~ THEN BEGIN 18 // from:
  SAY #82382 /* ~Here we are.  From what I know, there's a secret entrance into the palace, via the sewers.  Unfortunately, it's heavily warded and guarded.  That's where you come in.  You'll have to disable the wards and traps.  Once we're inside, us Shadow Thieves will create a diversion for the rest of you.  You make your way to the election room, find out who the doppelgangers are and kill them.  Remember, make sure you know who the doppelgangers are.  If you're right they'll revert to their true form; if you're wrong, you're in a heap of trouble.  Here is where the location of the secret door is.  It's all up to you.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 19 // from:
  SAY #82383 /* ~Here's the secret entrance, it's up to you now.  Get us through this without anyone dying.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 20 // from: 16.0
  SAY #84924 /* ~You should search their bodies, you might find something important.  Go back downstairs quickly; we don't have much time!~ */
  IF ~~ THEN EXIT
END
